package com.diagbot.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.entity.Organization;
import com.diagbot.mapper.OrganizationMapper;
import com.diagbot.service.OrganizationService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * @Description: 机构Service实现类
 * @Author: ztg
 * @Date: 2018/9/13 16:56
 */
@Service
@Slf4j
public class OrganizationServiceImpl extends ServiceImpl<OrganizationMapper, Organization> implements OrganizationService {

    @Autowired
    OrganizationMapper organizationMapper;

    @Override
    public List<Organization> selectByMap(Map map) {
        return organizationMapper.selectByMap(map);
    }
}
